# Uses of Class
com.fasterxml.jackson.core.JsonGenerationException

Packages that use JsonGenerationException
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.

## Uses of JsonGenerationException in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return JsonGenerationException
Modifier and Type
Method
Description
`JsonGenerationException`
JsonGenerationException.`withGenerator(JsonGenerator g)`
Fluent method that may be used to assign originating `JsonGenerator`, to be accessed using `getProcessor()`.
Methods in com.fasterxml.jackson.core that throw JsonGenerationException
Modifier and Type
Method
Description
`protected void`
JsonGenerator.`_reportError(String msg)`
Helper method used for constructing and throwing `JsonGenerationException` with given base message.

## Uses of JsonGenerationException in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that throw JsonGenerationException
Modifier and Type
Method
Description
`protected final void`
UTF8JsonGenerator.`_writeBinary(Base64Variant b64variant, byte[] input, int inputPtr, int inputEnd)`
`protected final int`
UTF8JsonGenerator.`_writeBinary(Base64Variant b64variant, InputStream data, byte[] readBuffer)`
`protected final int`
UTF8JsonGenerator.`_writeBinary(Base64Variant b64variant, InputStream data, byte[] readBuffer, int bytesLeft)`
`protected final void`
WriterBasedJsonGenerator.`_writeBinary(Base64Variant b64variant, byte[] input, int inputPtr, int inputEnd)`
`protected final int`
WriterBasedJsonGenerator.`_writeBinary(Base64Variant b64variant, InputStream data, byte[] readBuffer)`
`protected final int`
WriterBasedJsonGenerator.`_writeBinary(Base64Variant b64variant, InputStream data, byte[] readBuffer, int bytesLeft)`
`void`
UTF8JsonGenerator.`writeBinary(Base64Variant b64variant, byte[] data, int offset, int len)`
`int`
UTF8JsonGenerator.`writeBinary(Base64Variant b64variant, InputStream data, int dataLength)`
`void`
WriterBasedJsonGenerator.`writeBinary(Base64Variant b64variant, byte[] data, int offset, int len)`
`int`
WriterBasedJsonGenerator.`writeBinary(Base64Variant b64variant, InputStream data, int dataLength)`